This discussion is archived
12 Replies Latest reply: Nov 22, 2012 4:55 PM by 973897 RSS

A JNLP based Java application in JDK/JRE 1.6 but cannot run on JDK/JRE 1.7

973897 Newbie
Currently Being Moderated
Hi,

We encounter an issue with JDK/JRE 1.6 and 1.7 co-exist.

The JNLP (via https) based Java application A works fine in JDK/JRE 1.6. But there is another Java application B need JDK/JRE 1.7 in the same PC, =>the JDK/JRE 1.6 and 1.7 is co-exist in the same PC.

In the PC, we firstly install 1.6.0_37 and then install 1.7.0_09, In the Java control panel, both 1.6 and 1.7 are checked.

We run command C:"\Program Files"\Java\jre6\bin\javaws -verbose https://xxxxx/platusm.jnlp, the console prompt strange information.

please refer to http://img.my.csdn.net/uploads/201211/13/1352800884_9032.jpg

JDK 1.7 javaw.exe is used to start the JNLP based application, but JRE 1.6 classpath is used during bring up.

who can help to explain this strange thing.

and then, if JDK 1.7 is disabled, command C:"\Program Files"\Java\jre6\bin\javaws -verbose https://xxxxx/platusm.jnlp works fine as excepted.

thanks,
Steven

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points